<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: pam-pkcs11-ossl-compat.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">pam-pkcs11-ossl-compat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;openssl/opensslv.h&gt;</code><br />
<code>#include &lt;openssl/opensslconf.h&gt;</code><br />
<code>#include &lt;openssl/bn.h&gt;</code><br />
<code>#include &lt;openssl/rsa.h&gt;</code><br />
<code>#include &lt;openssl/dsa.h&gt;</code><br />
</div>
<p><a href="pam-pkcs11-ossl-compat_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:af0eb08b2611f47eeaf57bf21d58b13e9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#af0eb08b2611f47eeaf57bf21d58b13e9">EVP_CIPHER_CTX_new</a>()</td></tr>
<tr class="separator:af0eb08b2611f47eeaf57bf21d58b13e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65b40ec2b22b3886713618825118f03a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a65b40ec2b22b3886713618825118f03a">EVP_CIPHER_CTX_free</a>(x)</td></tr>
<tr class="separator:a65b40ec2b22b3886713618825118f03a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3c8110313c5087c523740e6c757df2d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#af3c8110313c5087c523740e6c757df2d">EVP_PKEY_base_id</a>(x)&#160;&#160;&#160;(x-&gt;type)</td></tr>
<tr class="separator:af3c8110313c5087c523740e6c757df2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba98397d688551e8701638a7db9b6a6f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#aba98397d688551e8701638a7db9b6a6f">RSA_PKCS1_OpenSSL</a>&#160;&#160;&#160;RSA_PKCS1_SSLeay</td></tr>
<tr class="separator:aba98397d688551e8701638a7db9b6a6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f5db5a35432108963a900dfb8bb46f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a6f5db5a35432108963a900dfb8bb46f6">OPENSSL_malloc_init</a>&#160;&#160;&#160;CRYPTO_malloc_init</td></tr>
<tr class="separator:a6f5db5a35432108963a900dfb8bb46f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82998315fc1b2d130739ab1f4c8b28fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a82998315fc1b2d130739ab1f4c8b28fa">EVP_PKEY_get0_RSA</a>(x)&#160;&#160;&#160;(x-&gt;pkey.rsa)</td></tr>
<tr class="separator:a82998315fc1b2d130739ab1f4c8b28fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f37f62b5f004c4659b2e381e58aa4c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a8f37f62b5f004c4659b2e381e58aa4c8">EVP_PKEY_get0_DSA</a>(x)&#160;&#160;&#160;(x-&gt;pkey.dsa)</td></tr>
<tr class="separator:a8f37f62b5f004c4659b2e381e58aa4c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85c50b457f71d12d22937e238a39ea7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#ae85c50b457f71d12d22937e238a39ea7">X509_get_extension_flags</a>(x)&#160;&#160;&#160;(x-&gt;ex_flags)</td></tr>
<tr class="separator:ae85c50b457f71d12d22937e238a39ea7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a88008c47c312317e0851801ca65a53"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a8a88008c47c312317e0851801ca65a53">X509_get_key_usage</a>(x)&#160;&#160;&#160;(x-&gt;ex_kusage)</td></tr>
<tr class="separator:a8a88008c47c312317e0851801ca65a53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad48dca6e55e306c7b0f676ef1106d168"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#ad48dca6e55e306c7b0f676ef1106d168">X509_get_extended_key_usage</a>(x)&#160;&#160;&#160;(x-&gt;ex_xkusage)</td></tr>
<tr class="separator:ad48dca6e55e306c7b0f676ef1106d168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca352f2c6540bca1310c6c790ad31b86"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#aca352f2c6540bca1310c6c790ad31b86">EVP_MD_CTX_new</a>&#160;&#160;&#160;EVP_MD_CTX_create</td></tr>
<tr class="separator:aca352f2c6540bca1310c6c790ad31b86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac81f784d435f45050424f80ebc798bbd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#ac81f784d435f45050424f80ebc798bbd">EVP_MD_CTX_free</a>&#160;&#160;&#160;EVP_MD_CTX_destroy</td></tr>
<tr class="separator:ac81f784d435f45050424f80ebc798bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d6540ec3023fd1f5994a5861120c165"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7d6540ec3023fd1f5994a5861120c165">EVP_PKEY_up_ref</a>(user_key)&#160;&#160;&#160;CRYPTO_add(&amp;user_key-&gt;references, 1, CRYPTO_LOCK_EVP_PKEY)</td></tr>
<tr class="separator:a7d6540ec3023fd1f5994a5861120c165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b1f2188102b5b992725103d76c03e09"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a4b1f2188102b5b992725103d76c03e09">X509_up_ref</a>(<a class="el" href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a>)&#160;&#160;&#160;CRYPTO_add(&amp;<a class="el" href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a>-&gt;references, 1, CRYPTO_LOCK_X509)</td></tr>
<tr class="separator:a4b1f2188102b5b992725103d76c03e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affa896614d21758c003c6feef17ab303"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#affa896614d21758c003c6feef17ab303">X509_get0_tbs_sigalg</a>(x)&#160;&#160;&#160;(x-&gt;<a class="el" href="cert__info_8h.html#af5bac7424241f2a7e5a0a450211b5080">cert_info</a>-&gt;key-&gt;algor)</td></tr>
<tr class="separator:affa896614d21758c003c6feef17ab303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e81b9deaa7e485cde1290d631d6f1a4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a0e81b9deaa7e485cde1290d631d6f1a4">X509_OBJECT_get0_X509</a>(x)&#160;&#160;&#160;(x-&gt;data.x509)</td></tr>
<tr class="separator:a0e81b9deaa7e485cde1290d631d6f1a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a805725ad203250adff25c356c27a2f49"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a805725ad203250adff25c356c27a2f49">X509_OBJECT_get0_X509_CRL</a>(x)&#160;&#160;&#160;(x-&gt;data.crl)</td></tr>
<tr class="separator:a805725ad203250adff25c356c27a2f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bd5e93026d0075e07e6da8a1632ff65"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a6bd5e93026d0075e07e6da8a1632ff65">RSA_get0_e</a>(x)&#160;&#160;&#160;(x-&gt;e)</td></tr>
<tr class="separator:a6bd5e93026d0075e07e6da8a1632ff65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab00c5b0f45f8f0a465ee9fe80944163"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#aab00c5b0f45f8f0a465ee9fe80944163">RSA_get0_n</a>(x)&#160;&#160;&#160;(x-&gt;n)</td></tr>
<tr class="separator:aab00c5b0f45f8f0a465ee9fe80944163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41794a790bd66bc91cd4e893ea74c761"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a41794a790bd66bc91cd4e893ea74c761">ECDSA_SIG_get0_r</a>(x)&#160;&#160;&#160;(x-&gt;r)</td></tr>
<tr class="separator:a41794a790bd66bc91cd4e893ea74c761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6801f309896ec47368718fb6148ced95"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a6801f309896ec47368718fb6148ced95">ECDSA_SIG_get0_s</a>(x)&#160;&#160;&#160;(x-&gt;s)</td></tr>
<tr class="separator:a6801f309896ec47368718fb6148ced95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02910a9828393e10b344d51fa24af3b4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a02910a9828393e10b344d51fa24af3b4">X509_OBJECT_free</a>(x)</td></tr>
<tr class="separator:a02910a9828393e10b344d51fa24af3b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dfbb406a64e5303866e0cb53aec80ef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a></td></tr>
<tr class="separator:a7dfbb406a64e5303866e0cb53aec80ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb0065957b4ea1e9aabe91d2e7cf98f0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#adb0065957b4ea1e9aabe91d2e7cf98f0">RSA_bits</a>(R)&#160;&#160;&#160;(BN_num_bits(R-&gt;n))</td></tr>
<tr class="separator:adb0065957b4ea1e9aabe91d2e7cf98f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7d8786ba89d85f9c55a4d6f36dec24ef"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7d8786ba89d85f9c55a4d6f36dec24ef">RSA_set0_key</a> (RSA *r, BIGNUM *n, BIGNUM *e, BIGNUM *d)</td></tr>
<tr class="separator:a7d8786ba89d85f9c55a4d6f36dec24ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46000fdf6f8907fa8dc34aff79920159"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a46000fdf6f8907fa8dc34aff79920159">RSA_set0_factors</a> (RSA *r, BIGNUM *p, BIGNUM *q)</td></tr>
<tr class="separator:a46000fdf6f8907fa8dc34aff79920159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908dc4abe5544e2556ed5b3fe9be26be"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a908dc4abe5544e2556ed5b3fe9be26be">RSA_set0_crt_params</a> (RSA *r, BIGNUM *dmp1, BIGNUM *dmq1, BIGNUM *iqmp)</td></tr>
<tr class="separator:a908dc4abe5544e2556ed5b3fe9be26be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc9abcd9e86c74527180d09ad6749485"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#acc9abcd9e86c74527180d09ad6749485">RSA_get0_key</a> (const RSA *r, const BIGNUM **n, const BIGNUM **e, const BIGNUM **d)</td></tr>
<tr class="separator:acc9abcd9e86c74527180d09ad6749485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc879574b4e32408f15f5d4178cba072"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#acc879574b4e32408f15f5d4178cba072">RSA_get0_factors</a> (const RSA *r, const BIGNUM **p, const BIGNUM **q)</td></tr>
<tr class="separator:acc879574b4e32408f15f5d4178cba072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcdac237b83944ba335f66c409a69dd7"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#abcdac237b83944ba335f66c409a69dd7">RSA_get0_crt_params</a> (const RSA *r, const BIGNUM **dmp1, const BIGNUM **dmq1, const BIGNUM **iqmp)</td></tr>
<tr class="separator:abcdac237b83944ba335f66c409a69dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd202c0bd6fd5c5406e4b293bf76fe16"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#acd202c0bd6fd5c5406e4b293bf76fe16">DSA_get0_pqg</a> (const DSA *d, const BIGNUM **p, const BIGNUM **q, const BIGNUM **g)</td></tr>
<tr class="separator:acd202c0bd6fd5c5406e4b293bf76fe16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a824b4930d450d899bb9e390182128a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pam-pkcs11-ossl-compat_8h.html#a1a824b4930d450d899bb9e390182128a">DSA_get0_key</a> (const DSA *d, const BIGNUM **pub_key, const BIGNUM **priv_key)</td></tr>
<tr class="separator:a1a824b4930d450d899bb9e390182128a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a41794a790bd66bc91cd4e893ea74c761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41794a790bd66bc91cd4e893ea74c761">&#9670;&nbsp;</a></span>ECDSA_SIG_get0_r</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ECDSA_SIG_get0_r</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;r)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00101">101</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a6801f309896ec47368718fb6148ced95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6801f309896ec47368718fb6148ced95">&#9670;&nbsp;</a></span>ECDSA_SIG_get0_s</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ECDSA_SIG_get0_s</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;s)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00102">102</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a65b40ec2b22b3886713618825118f03a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65b40ec2b22b3886713618825118f03a">&#9670;&nbsp;</a></span>EVP_CIPHER_CTX_free</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_CIPHER_CTX_free</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">({ \</div><div class="line">        if (x) { \</div><div class="line">                EVP_CIPHER_CTX_cleanup(x); \</div><div class="line">                OPENSSL_free(x); \</div><div class="line">        } \</div><div class="line">        })</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00063">63</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="af0eb08b2611f47eeaf57bf21d58b13e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0eb08b2611f47eeaf57bf21d58b13e9">&#9670;&nbsp;</a></span>EVP_CIPHER_CTX_new</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_CIPHER_CTX_new</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">({ \</div><div class="line">        EVP_CIPHER_CTX * tmp = NULL; \</div><div class="line">        tmp = OPENSSL_malloc(<span class="keyword">sizeof</span>(<span class="keyword">struct</span> evp_cipher_ctx_st)); \</div><div class="line">        if (tmp) { \</div><div class="line">        EVP_CIPHER_CTX_init(tmp); \</div><div class="line">        } \</div><div class="line">        tmp; \</div><div class="line">        })</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00054">54</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="ac81f784d435f45050424f80ebc798bbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac81f784d435f45050424f80ebc798bbd">&#9670;&nbsp;</a></span>EVP_MD_CTX_free</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_MD_CTX_free&#160;&#160;&#160;EVP_MD_CTX_destroy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00093">93</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="aca352f2c6540bca1310c6c790ad31b86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca352f2c6540bca1310c6c790ad31b86">&#9670;&nbsp;</a></span>EVP_MD_CTX_new</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_MD_CTX_new&#160;&#160;&#160;EVP_MD_CTX_create</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00092">92</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="af3c8110313c5087c523740e6c757df2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3c8110313c5087c523740e6c757df2d">&#9670;&nbsp;</a></span>EVP_PKEY_base_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_PKEY_base_id</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;type)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00080">80</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a8f37f62b5f004c4659b2e381e58aa4c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f37f62b5f004c4659b2e381e58aa4c8">&#9670;&nbsp;</a></span>EVP_PKEY_get0_DSA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_PKEY_get0_DSA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;pkey.dsa)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00088">88</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a82998315fc1b2d130739ab1f4c8b28fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82998315fc1b2d130739ab1f4c8b28fa">&#9670;&nbsp;</a></span>EVP_PKEY_get0_RSA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_PKEY_get0_RSA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;pkey.rsa)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00087">87</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a7d6540ec3023fd1f5994a5861120c165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d6540ec3023fd1f5994a5861120c165">&#9670;&nbsp;</a></span>EVP_PKEY_up_ref</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVP_PKEY_up_ref</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">user_key</td><td>)</td>
          <td>&#160;&#160;&#160;CRYPTO_add(&amp;user_key-&gt;references, 1, CRYPTO_LOCK_EVP_PKEY)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00094">94</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a6f5db5a35432108963a900dfb8bb46f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f5db5a35432108963a900dfb8bb46f6">&#9670;&nbsp;</a></span>OPENSSL_malloc_init</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OPENSSL_malloc_init&#160;&#160;&#160;CRYPTO_malloc_init</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00085">85</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a7dfbb406a64e5303866e0cb53aec80ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dfbb406a64e5303866e0cb53aec80ef">&#9670;&nbsp;</a></span>pam_pkcs11_ossl_inline</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define pam_pkcs11_ossl_inline</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00132">132</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="adb0065957b4ea1e9aabe91d2e7cf98f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb0065957b4ea1e9aabe91d2e7cf98f0">&#9670;&nbsp;</a></span>RSA_bits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RSA_bits</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">R</td><td>)</td>
          <td>&#160;&#160;&#160;(BN_num_bits(R-&gt;n))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00141">141</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a6bd5e93026d0075e07e6da8a1632ff65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bd5e93026d0075e07e6da8a1632ff65">&#9670;&nbsp;</a></span>RSA_get0_e</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RSA_get0_e</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;e)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00099">99</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="aab00c5b0f45f8f0a465ee9fe80944163"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab00c5b0f45f8f0a465ee9fe80944163">&#9670;&nbsp;</a></span>RSA_get0_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RSA_get0_n</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;n)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00100">100</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="aba98397d688551e8701638a7db9b6a6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba98397d688551e8701638a7db9b6a6f">&#9670;&nbsp;</a></span>RSA_PKCS1_OpenSSL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RSA_PKCS1_OpenSSL&#160;&#160;&#160;RSA_PKCS1_SSLeay</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00084">84</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="affa896614d21758c003c6feef17ab303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affa896614d21758c003c6feef17ab303">&#9670;&nbsp;</a></span>X509_get0_tbs_sigalg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_get0_tbs_sigalg</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;<a class="el" href="cert__info_8h.html#af5bac7424241f2a7e5a0a450211b5080">cert_info</a>-&gt;key-&gt;algor)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00096">96</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="ad48dca6e55e306c7b0f676ef1106d168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad48dca6e55e306c7b0f676ef1106d168">&#9670;&nbsp;</a></span>X509_get_extended_key_usage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_get_extended_key_usage</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;ex_xkusage)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00091">91</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="ae85c50b457f71d12d22937e238a39ea7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85c50b457f71d12d22937e238a39ea7">&#9670;&nbsp;</a></span>X509_get_extension_flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_get_extension_flags</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;ex_flags)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00089">89</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a8a88008c47c312317e0851801ca65a53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a88008c47c312317e0851801ca65a53">&#9670;&nbsp;</a></span>X509_get_key_usage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_get_key_usage</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;ex_kusage)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00090">90</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a02910a9828393e10b344d51fa24af3b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02910a9828393e10b344d51fa24af3b4">&#9670;&nbsp;</a></span>X509_OBJECT_free</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_OBJECT_free</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">({ \</div><div class="line">        if (x) { \</div><div class="line">                X509_OBJECT_free_contents(x); \</div><div class="line">                OPENSSL_free(x); \</div><div class="line">                } \</div><div class="line">        })</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00104">104</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a0e81b9deaa7e485cde1290d631d6f1a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e81b9deaa7e485cde1290d631d6f1a4">&#9670;&nbsp;</a></span>X509_OBJECT_get0_X509</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_OBJECT_get0_X509</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;data.x509)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00097">97</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a805725ad203250adff25c356c27a2f49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a805725ad203250adff25c356c27a2f49">&#9670;&nbsp;</a></span>X509_OBJECT_get0_X509_CRL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_OBJECT_get0_X509_CRL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(x-&gt;data.crl)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00098">98</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a4b1f2188102b5b992725103d76c03e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b1f2188102b5b992725103d76c03e09">&#9670;&nbsp;</a></span>X509_up_ref</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define X509_up_ref</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a></td><td>)</td>
          <td>&#160;&#160;&#160;CRYPTO_add(&amp;<a class="el" href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a>-&gt;references, 1, CRYPTO_LOCK_X509)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00095">95</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1a824b4930d450d899bb9e390182128a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a824b4930d450d899bb9e390182128a">&#9670;&nbsp;</a></span>DSA_get0_key()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void DSA_get0_key </td>
          <td>(</td>
          <td class="paramtype">const DSA *&#160;</td>
          <td class="paramname"><em>d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>pub_key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>priv_key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00239">239</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="acd202c0bd6fd5c5406e4b293bf76fe16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd202c0bd6fd5c5406e4b293bf76fe16">&#9670;&nbsp;</a></span>DSA_get0_pqg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void DSA_get0_pqg </td>
          <td>(</td>
          <td class="paramtype">const DSA *&#160;</td>
          <td class="paramname"><em>d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>q</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>g</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00229">229</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="abcdac237b83944ba335f66c409a69dd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcdac237b83944ba335f66c409a69dd7">&#9670;&nbsp;</a></span>RSA_get0_crt_params()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void RSA_get0_crt_params </td>
          <td>(</td>
          <td class="paramtype">const RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>dmp1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>dmq1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>iqmp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00215">215</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="acc879574b4e32408f15f5d4178cba072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc879574b4e32408f15f5d4178cba072">&#9670;&nbsp;</a></span>RSA_get0_factors()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void RSA_get0_factors </td>
          <td>(</td>
          <td class="paramtype">const RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>q</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00207">207</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="acc9abcd9e86c74527180d09ad6749485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc9abcd9e86c74527180d09ad6749485">&#9670;&nbsp;</a></span>RSA_get0_key()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> void RSA_get0_key </td>
          <td>(</td>
          <td class="paramtype">const RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const BIGNUM **&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00197">197</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a908dc4abe5544e2556ed5b3fe9be26be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a908dc4abe5544e2556ed5b3fe9be26be">&#9670;&nbsp;</a></span>RSA_set0_crt_params()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int RSA_set0_crt_params </td>
          <td>(</td>
          <td class="paramtype">RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>dmp1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>dmq1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>iqmp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00182">182</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a46000fdf6f8907fa8dc34aff79920159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46000fdf6f8907fa8dc34aff79920159">&#9670;&nbsp;</a></span>RSA_set0_factors()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int RSA_set0_factors </td>
          <td>(</td>
          <td class="paramtype">RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>q</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00169">169</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
<a id="a7d8786ba89d85f9c55a4d6f36dec24ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d8786ba89d85f9c55a4d6f36dec24ef">&#9670;&nbsp;</a></span>RSA_set0_key()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="pam-pkcs11-ossl-compat_8h.html#a7dfbb406a64e5303866e0cb53aec80ef">pam_pkcs11_ossl_inline</a> int RSA_set0_key </td>
          <td>(</td>
          <td class="paramtype">RSA *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BIGNUM *&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html#l00153">153</a> of file <a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">pam-pkcs11-ossl-compat.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
